#include<iostream>
#include<iomanip>
using namespace std; 

void getMatrixFromUser(int matrix[][4])
{
	for(int row = 0; row < 4; row++)
	{
		cout << "  Row " << row + 1 << "? ";
		for(int column = 0; column < 4; column++)
		{
			cin >> matrix[row][column];
		}
	}
}
void displayMatrix(int matrix[][4])
{
	for(int row = 0; row < 4; row++)
	{
		cout << "  Row " << row + 1 << ": ";
		for(int column = 0; column < 4; column++)
		{
			cout << matrix[row][column] << " ";
		}
		cout << endl;
	}
}

void matrixAdd(int matrix1[][4], int matrix2[][4], int answer[][4])
{
	for(int row = 0; row < 4; row++)
	{
		for(int column = 0; column < 4; column++)
		{
			answer[row][column] = matrix1[row][column] + matrix2[row][column];
		}
	}
}


void main()
{
	int matrices[25][4][4];
	int matricesUsed = 0;

	int initialMatrices;
	do
	{
		cout << "How many initial matrices? ";
		cin >> initialMatrices;
	}
	while(initialMatrices < 1 || initialMatrices > 25);

	while(matricesUsed < initialMatrices)
	{
		getMatrixFromUser(matrices[matricesUsed]);
		matricesUsed++;
	}

	displayMatrix(matrices[0]);

}

void initializeTimesTable(int A[][10])
{
	for(int row = 0; row < 10; row++)
	{
		for(int column = 0; column < 10; column++)
		{
			A[row][column] = (row+1)*(column+1);
		}
	}
}
void displayTimesTable(int A[][10])
{
	for(int row = 0; row < 10; row++)
	{
		for(int column = 0; column < 10; column++)
		{
			cout << setw(4) <<  A[row][column];
		}
		cout << endl;
	}
}
